<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Práctica de Flexbox: Construyendo una Galería de Fotos</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            
            margin: 0;
            background-color: #f8f9fa;
        }

        .container {
            text-align: left;
            padding: 30px;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            background-color: #ffffff;
            max-width: 800px;
            margin: 5% auto;
        }

        h1 {
            color: #333333;
            font-size: 28px;
            margin-bottom: 20px;
        }

        ol {
            color: #333333;
            font-size: 16px;
            line-height: 1.6;
            margin-bottom: 20px;
        }

        li {
            margin-bottom: 15px;
        }

        code {
            background-color: #f8f9fa;
            padding: 2px 5px;
            border-radius: 3px;
            font-family: 'Courier New', Courier, monospace;
        }

        .button-container {
            text-align: center;
        }

        a.button {
            display: inline-block;
            padding: 10px 20px;
            background-color: #007bff;
            color: #ffffff;
            text-decoration: none;
            border-radius: 5px;
            transition: background-color 0.3s ease;
        }

        a.button:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Práctica de Flexbox: Construyendo una Galería de Fotos</h1>
        <ol>
            <li><strong>Configuración del Contenedor Flex</strong>
                <ul>
                    <li>Crea un archivo HTML básico con un contenedor (&lt;div&gt;) para tu galería de fotos.</li>
                    <li>Aplica <code>display: flex;</code> al contenedor para activar el modelo de diseño flexible.</li>
                </ul>
            </li>
            <li><strong>Alineación de las Imágenes en el Contenedor</strong>
                <ul>
                    <li>Agrega algunas imágenes (pueden ser imágenes de muestra) dentro del contenedor.</li>
                    <li>Utiliza <code>justify-content</code> para alinear las imágenes horizontalmente dentro del contenedor.</li>
                </ul>
            </li>
            <li><strong>Ajuste del Espaciado entre las Imágenes</strong>
                <ul>
                    <li>Usa <code>justify-content</code> con diferentes valores (<code>space-between</code>, <code>space-around</code>, <code>space-evenly</code>) para modificar el espaciado entre las imágenes.</li>
                </ul>
            </li>
            <li><strong>Alineación Vertical de las Imágenes</strong>
                <ul>
                    <li>Utiliza <code>align-items</code> para alinear las imágenes verticalmente dentro del contenedor.</li>
                    <li>Experimenta con diferentes valores (<code>flex-start</code>, <code>center</code>, <code>flex-end</code>) para observar cómo afecta la alineación.</li>
                </ul>
            </li>
            <li><strong>Creación de Columnas con Flexbox</strong>
                <ul>
                    <li>Cambia la dirección principal del flujo de flexbox usando <code>flex-direction: column;</code>.</li>
                    <li>Observa cómo cambia el diseño para formar columnas en lugar de filas.</li>
                </ul>
            </li>
            <li><strong>Añadir Espaciado Vertical entre las Columnas</strong>
                <ul>
                    <li>Utiliza nuevamente <code>justify-content</code> para agregar espaciado vertical entre las columnas de imágenes.</li>
                </ul>
            </li>
            <li><strong>Control de Alineación en Columnas</strong>
                <ul>
                    <li>Usa <code>align-items</code> para alinear las imágenes en las columnas verticalmente.</li>
                    <li>Experimenta con diferentes valores para lograr la alineación deseada.</li>
                </ul>
            </li>
            <li><strong>Implementar Ajustes Responsivos</strong>
                <ul>
                    <li>Agrega la propiedad <code>flex-wrap: wrap;</code> al contenedor para permitir que las imágenes se envuelvan automáticamente en filas o columnas en dispositivos más pequeños.</li>
                    <li>Optimiza el diseño para dispositivos móviles usando reglas de medios (<code>@media</code> queries).</li>
                </ul>
            </li>
            <li><strong>Desafío Adicional: Interactividad</strong>
                <ul>
                    <li>Integra algún nivel de interactividad utilizando Flexbox y CSS.</li>
                    <li>Por ejemplo, al hacer clic en una imagen, que se amplíe o muestre información adicional.</li>
                </ul>
            </li>
        </ol>
        
        <div class="button-container">
            <a href="#" class="button">Ver Ejemplo Resuelto</a>
        </div>
    </div>
</body>
</html>
